Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## superwaba.ext.xplat.ui
Class SpinList

    java.lang.Object
      |
      +--waba.ui.Control
            |
            +--superwaba.ext.xplat.ui.SpinList

public class SpinList
extends Control

Creates a control with two arrows, so you can scroll values and show the current one.

Field Summary
`int` | `timerInterval`

Fields inherited from class waba.ui.Control
`AFTER, appId, asContainer, asWindow, backColor, backDis, BEFORE, BOTTOM, CENTER, enabled, FILL, FIT, fm, fmH, focusLess, font, foreColor, foreDis, height, LEFT, parent, PREFERRED, RANGE, RIGHT, SAME, TOP, visible, width, x, x2, y, y2`

Constructor Summary
`SpinList(String[] choices, int selected)`

Method Summary
`int` | `compareTo(String s1, String s2)`
`String[]` | `getChoices()`
`int` | `getPreferredWidth()` Returns the preffered width of this control.
`String` | `getSelected()`
`int` | `getSelectedIndex()`
`int` | `indexOf(String elem)`
`void` | `insertInOrder(String elem)`
`void` | `onEvent(Event event)` Called to process key, pen, control and other posted events.
`void` | `onPaint(Graphics g)` Called to draw the control.
`String` | `removeAt(int index)`
`String` | `removeCurrent()`
`void` | `setChoices(String[] choices)`
`void` | `setSelectedIndex(int i)`

Methods inherited from class waba.ui.Control
`addTimer, contains, createGraphics, getAbsoluteRect, getBackColor, getFont, getFontMetrics, getForeColor, getNext, getParent, getParentWindow, getPos, getPreferredHeight, getRect, getSize, isDisplayed, isEnabled, isVisible, onBoundsChanged, onColorsChanged, onFontChanged, onWindowPaintFinished, postEvent, removeTimer, repaint, repaintNow, requestFocus, setBackColor, setBackForeColors, setEnabled, setFocusLess, setFont, setForeColor, setRect, setRect, setRect, setVisible`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, toString, wait, wait`

Field Detail

### timerInterval

    public int timerInterval

Constructor Detail

### SpinList

    public SpinList(String[] choices,
                    int selected)

Method Detail

### getPreferredWidth

    public int getPreferredWidth()

  Description copied from class: Control
  Returns the preffered width of this control.
  Overrides:
    getPreferredWidth in class Control

### setChoices

    public void setChoices(String[] choices)

### getChoices

    public String[] getChoices()

### getSelected

    public String getSelected()

### getSelectedIndex

    public int getSelectedIndex()

### setSelectedIndex

    public void setSelectedIndex(int i)

### removeAt

    public String removeAt(int index)

### removeCurrent

    public String removeCurrent()

### compareTo

    public int compareTo(String s1,
                         String s2)

### indexOf

    public int indexOf(String elem)

### insertInOrder

    public void insertInOrder(String elem)

### onPaint

    public void onPaint(Graphics g)

  Description copied from class: Control
  Called to draw the control. When this method is called, the graphics object passed has been translated into the coordinate system of the control and the area behind the control has already been painted. The background is painted by the top-level window control.
  Overrides:
    onPaint in class Control
  Tags copied from class: Control
  Parameters:
    `g` - the graphics object for drawing
  See Also:
    `Graphics`

### onEvent

    public void onEvent(Event event)

  Description copied from class: Control
  Called to process key, pen, control and other posted events.
  Overrides:
    onEvent in class Control
  Tags copied from class: Control
  Parameters:
    `event` - the event to process
  See Also:
    `Event`, `KeyEvent`, `PenEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD